*"表題 折れ線描画 GTOOL3(GGCURV)
*
*"履歴 90/08/17 沼口  敦
*
*
*********************************************************************
*"         << 折れ線描画 >>
*********************************************************************
      SUBROUTINE GGCURV
     I         ( HHEAD , GDATA , HPOS  )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      REAL       GDATA ( * )             !" データ
      CHARACTER  HPOS       *(*)         !" データ軸 ('X' or 'Y')
*
#ifdef SYS_IBMS
      INCLUDE    (GZIWRK)                !" NW: 軸ワークの大きさ
#else
#include         "gziwrk.F"              !" NW: 軸ワークの大きさ
#endif
      REAL       ZDATA ( NW )
      LOGICAL    OLINT                   !" 線種コメントを描く？
*
      CALL GUSMIS ( HHEAD )
*
*"         < 1. 軸描画, 座標設定 >
*
      CALL GGAXSZ
     I     ( HHEAD , GDATA , HPOS   )
*
*"         < 2. 範囲 >
*
      CALL GHPGET ( HHEAD, 'ASTR1', IZSTR )
      CALL GHPGET ( HHEAD, 'AEND1', IZEND )
      IZDIM = IZEND-IZSTR+1
      CALL GUSZCZ ( NW   , IZDIM )
*
*"         < 3. 折れ線描画 >
*
      CALL UWQGXA ( ZDATA, IZDIMZ )
      IF ( IZDIM .NE. IZDIMZ ) THEN
         CALL MSGDMP( 'W', 'GGCURV', 'ARRAY SIZE DO NOT AGREE.' )
      ENDIF
*
      IF ( HPOS(1:1) .EQ. 'X' ) THEN
         CALL SGPLU  ( IZDIM, GDATA, ZDATA )
      ELSE
         CALL SGPLU  ( IZDIM, ZDATA, GDATA )
      ENDIF
*
*"         < 4. 線種コメント >
*
      CALL GGPGET ( 'LLINT', OLINT )
      IF ( OLINT ) THEN
         CALL GGLINT ( HHEAD, 'CURV' )
      ENDIF
*
      RETURN
      END
